Recently this patch MS11-028 http://support.microsoft.com/kb/2484015 (msu update) was released and after applying the patch you may find issues such as MMC crashes on startup and couple of exceptions involving mscorwks.dll version 2.0.50727.5653 in the application event messages for MMC/PowerShell on Windows Vista+ machines.  Actually on Windows Vista and higher OSs have inbuilt .Net Framework 2.0 which is considered as CBS/CSI components. On those OSs MMC  uses .Net components.

 After investigation we found that MS11-028 has been isolated to a faulty QFE, KB979744. Unfortunately this QFE is a pre-requisite update that is required to install Exchange 2010, so all Windows Server 2008 systems with Exchange 2010 will be affected.  QFE KB979744 has been rebuilt to address the issue and so all affected users would need to install the fixed version of the QFE from either of these locations:

 ·         http://archive.msdn.microsoft.com/KB979744/Release/ProjectReleases.aspx?ReleaseId=3993

 ·         http://connect.microsoft.com/VisualStudio/Downloads/DownloadDetails.aspx?DownloadID=27109   

 

In order to resolve the issue, please apply the updated QFE KB979744 and then reinstall security update MS11-028